# Class Logger

java.lang.Object
org.jmol.util.Logger

public final class Logger extends Object
Logger mechanism.

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debugging`
`static boolean`
`debuggingHigh`
`static final int`
`LEVEL_DEBUG`
`static final int`
`LEVEL_DEBUGHIGH`
`static final int`
`LEVEL_ERROR`
`static final int`
`LEVEL_FATAL`
`static final int`
`LEVEL_INFO`
`static final int`
`LEVEL_MAX`
`static final int`
`LEVEL_WARN`

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkMemory()`
`static int`
`checkTimer(String msg, boolean andReset)`
`static void`
`debug(String txt)`
Writes a log at DEBUG level.
`static void`
`doLogLevel(boolean log)`
Indicates if the level is logged.
`static void`
`error(String txt)`
Writes a log at ERROR level.
`static void`
`errorEx(String txt, Throwable e)`
Writes a log at ERROR level with detail on exception.
`static void`
`fatal(String txt)`
Writes a log at FATAL level.
`static void`
`fatalEx(String txt, Throwable e)`
Writes a log at FATAL level with detail on exception.
`static String`
`getLevel(int level)`
Returns the text corresponding to a level.
`static int`
`getLogLevel()`
`static String`
`getTimerMsg(String msg, int time)`
`static void`
`info(String txt)`
og* Writes a log at INFO level.
`static boolean`
`isActiveLevel(int level)`
Tells if a logging level is active.
`static boolean`
`logLevel()`
Indicates if the level is logged.
`static void`
`setActiveLevel(int level, boolean active)`
Changes the activation state for a logging level.
`static void`
`setLogger(LoggerInterface logger)`
Replaces the current logger implementation by a new one.
`static void`
`setLogLevel(int level)`
Activates all logging levels up through a given level.
`static void`
`startTimer(String msg)`
`static void`
`warn(String txt)`
Writes a log at WARN level.
`static void`
`warnEx(String txt, Throwable e)`
Writes a log at WARN level with detail on exception.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LEVEL_FATAL

public static final int LEVEL_FATAL

See Also:
  - Constant Field Values

### LEVEL_ERROR

public static final int LEVEL_ERROR

See Also:
  - Constant Field Values

### LEVEL_WARN

public static final int LEVEL_WARN

See Also:
  - Constant Field Values

### LEVEL_INFO

public static final int LEVEL_INFO

See Also:
  - Constant Field Values

### LEVEL_DEBUG

public static final int LEVEL_DEBUG

See Also:
  - Constant Field Values

### LEVEL_DEBUGHIGH

public static final int LEVEL_DEBUGHIGH

See Also:
  - Constant Field Values

### LEVEL_MAX

public static final int LEVEL_MAX

See Also:
  - Constant Field Values

### debugging

public static boolean debugging

### debuggingHigh

public static boolean debuggingHigh

## Method Details

### setLogger

public static void setLogger(LoggerInterface logger)
Replaces the current logger implementation by a new one.

Parameters:
  `logger` - New logger implementation.

### isActiveLevel

public static boolean isActiveLevel(int level)
Tells if a logging level is active.

Parameters:
  `level` - Logging level.
Returns:
  Active.

### setActiveLevel

public static void setActiveLevel(int level, boolean active)
Changes the activation state for a logging level.

Parameters:
  `level` - Level.
  `active` - New activation state.

### setLogLevel

public static void setLogLevel(int level)
Activates all logging levels up through a given level.

Parameters:
  `level` -

### getLevel

public static String getLevel(int level)
Returns the text corresponding to a level.

Parameters:
  `level` - Level.
Returns:
  Corresponding text.

### logLevel

public static boolean logLevel()
Indicates if the level is logged.

Returns:
  Indicator.

### doLogLevel

public static void doLogLevel(boolean log)
Indicates if the level is logged.

Parameters:
  `log` - Indicator.

### debug

public static void debug(String txt)
Writes a log at DEBUG level.

Parameters:
  `txt` - String to write.

### info

public static void info(String txt)
og* Writes a log at INFO level.

Parameters:
  `txt` - String to write.

### warn

public static void warn(String txt)
Writes a log at WARN level.

Parameters:
  `txt` - String to write.

### warnEx

public static void warnEx(String txt, Throwable e)
Writes a log at WARN level with detail on exception.

Parameters:
  `txt` - String to write.
  `e` - Exception.

### error

public static void error(String txt)
Writes a log at ERROR level.

Parameters:
  `txt` - String to write.

### errorEx

public static void errorEx(String txt, Throwable e)
Writes a log at ERROR level with detail on exception.

Parameters:
  `txt` - String to write.
  `e` - Exception.

### getLogLevel

public static int getLogLevel()

### fatal

public static void fatal(String txt)
Writes a log at FATAL level.

Parameters:
  `txt` - String to write.

### fatalEx

public static void fatalEx(String txt, Throwable e)
Writes a log at FATAL level with detail on exception.

Parameters:
  `txt` - String to write.
  `e` - Exception.

### startTimer

public static void startTimer(String msg)

### getTimerMsg

public static String getTimerMsg(String msg, int time)

### checkTimer

public static int checkTimer(String msg, boolean andReset)

### checkMemory

public static void checkMemory()